get
https://api.zenoti.com/v1/organizations/settings/membership_advance_booking_rules
This API returns the full list of membership-based advance booking rules configured for the organization. Used by the "Advance Booking Windows" admin settings page to populate the "Previously Added Rules" table.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Response Details
GetMembershipAdvancedBookingRulesResponse
| Json property | Data type | Description |
|---|---|---|
| membership_advance_booking_rules | List | List of membership advance booking rules configured for the organization. |
| error | APIV2ErrorModel | Error details. Returns null when the request succeeds. |
MembershipAdvanceBookingRule
| Json property | Data type | Description |
|---|---|---|
| rule_id | Guid | Unique identifier of the booking rule. |
| membership_id | Guid | Unique identifier of the membership associated with the rule. |
| membership_name | string | Name of the membership. |
| advance_booking_days | int | Number of days in advance that members can book the configured classes or amenities. |
| items | List | Classes or amenities associated with the rule. |
MembershipAdvanceBookingRuleItem
| Json property | Data type | Description |
|---|---|---|
| id | string | Unique identifier of the class or amenity. |
| name | string | Name of the class or amenity. |
| type | BookingRulesItemType | Indicates whether the item is a class or amenity. |
APIV2ErrorModel
| Json property | Data type | Description |
|---|---|---|
| code | string | Error code indicating the type of failure. |
| message | string | Description of the error. |
BookingRulesItemType
| Value | Name | Description |
|---|---|---|
| 0 | Class | Item represents a class. |
| 1 | Amenity | Item represents an amenity. |
